# The Red Matrix: ProtoDriver Class Reference

All Classes Namespaces Files Functions Variables Pages
ProtoDriver Class Reference
Inheritance diagram for ProtoDriver:

## Protected Member Functions

| discover ($channel, $location)
| deliver ($item, $channel, $recipients)
| collect ($channel, $connection)
| change_permissions ($permissions, $channel, $recipient)
| acknowledge_permissions ($permissions, $channel, $recipient)
| deliver_private ($item, $channel, $recipients)
| collect_private ($channel, $connection)

## Member Function Documentation

ProtoDriver::acknowledge_permissions | ( |  | $permissions,
|  |  | $channel,
|  |  | $recipient
| ) |  |

abstractprotected

ProtoDriver::change_permissions | ( |  | $permissions,
|  |  | $channel,
|  |  | $recipient
| ) |  |

abstractprotected

ProtoDriver::collect | ( |  | $channel,
|  |  | $connection
| ) |  |

abstractprotected

ProtoDriver::collect_private | ( |  | $channel,
|  |  | $connection
| ) |  |

abstractprotected

ProtoDriver::deliver | ( |  | $item,
|  |  | $channel,
|  |  | $recipients
| ) |  |

abstractprotected

ProtoDriver::deliver_private | ( |  | $item,
|  |  | $channel,
|  |  | $recipients
| ) |  |

abstractprotected

ProtoDriver::discover | ( |  | $channel,
|  |  | $location
| ) |  |

abstractprotected

The documentation for this class was generated from the following file:

- include/ProtoDriver.php